@import url('https://fonts.googleapis.com/css?family=Roboto');

body {
  font-family: 'Roboto', sans-serif;
  overflow-y: scroll;
  scroll-behavior: smooth;
  background: rgb(20, 20, 20); /* fallback for old browsers */
}
* {
  margin: 0;
  padding: 0;
}
i {
  margin-right: 10px;
}
.navbar-logo {
  padding: 0px;
  color: #fff;
}
.logoname{
  margin-left:6rem;
}
@media (max-width: 991px) {
  .logoname{
    margin-left: 0rem;
  }
}
.navbar-mainbg {
  background-color: #0275d8;
  padding:0;
  padding-left:0rem;
  padding-right:0 !important;
  margin-left:0;
  margin-right:0;
  margin-top:0rem;
  border-radius:0rem;
  
  
}
#navbarSupportedContent {
  overflow: hidden;
  position: relative;
}
#navbarSupportedContent ul {
  padding: 0px;
  margin-right: 6rem !important;
}
@media (max-width: 991px) {
  #navbarSupportedContent ul{
    margin-right: 0px !important;
  }
}
#navbarSupportedContent ul li a i {
  margin-right: 10px;
}
#navbarSupportedContent li {
  list-style-type: none;
  float: left;
}
#navbarSupportedContent ul li a {
  color: rgb(214, 214, 214);
  text-decoration: none;
  font-size: 14px;
  font-weight: 400;
  display: block;
  padding: 16px 16px;
  transition-duration: 0.6s;
  transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
  position: relative;
}
#navbarSupportedContent > ul > li.active > a {
  color: #f0f0f0;
  background-color: transparent;
  transition: all 0.7s;
}
#navbarSupportedContent a:not(:only-child):after {
  content: '\f105';
  position: absolute;
  right: 20px;
  top: 10px;
  font-size: 14px;
  font-family: 'Font Awesome 5 Free';
  display: inline-block;
  padding-right: 3px;
  vertical-align: middle;
  font-weight: 900;
  transition: 0.5s;
}
#navbarSupportedContent .active > a:not(:only-child):after {
  transform: rotate(90deg);
}

.hori-selector {
  display: inline-block;
  position: absolute;
  height: 100%;
  top: 0px;
  left: 0px;
  transition-duration: 0.6s;
  transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
  background-color: rgb(22, 21, 21);
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  margin-top: 10px;
}
.hori-selector .right,
.hori-selector .left {
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: rgb(22, 21, 21);
  bottom: 10px;
}
.hori-selector .right {
  right: -25px;
}
.hori-selector .left {
  left: -25px;
}
.hori-selector .right:before,
.hori-selector .left:before {
  content: '';
  position: absolute;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #0275d8;
}
.hori-selector .right:before {
  bottom: 0;
  right: -25px;
}
.hori-selector .left:before {
  bottom: 0;
  left: -25px;
}
@media (max-width: 991px) {
  #navbarSupportedContent ul li a {
    padding: 12px 30px;
  }
  .hori-selector {
    margin-top: 0px;
    margin-left: 10px;
    border-radius: 0;
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
  }
  .hori-selector .left,
  .hori-selector .right {
    right: 10px;
  }
  .hori-selector .left {
    top: -25px;
    left: auto;
  }
  .hori-selector .right {
    bottom: -25px;
  }
  .hori-selector .left:before {
    left: -25px;
    top: -25px;
  }
  .hori-selector .right:before {
    bottom: -25px;
    left: -25px;
  }
}
/* Icon 3 */

#nav-icon3 {
  width: 30px;
  height: 10px;
  position: relative;
  margin: 20px auto;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
}

 #nav-icon3 span {
  display: block;
  position: absolute;
  height: 3px;
  width: 100%;
  background: #ffffff;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

#nav-icon3 span:nth-child(1) {
  top: 0px;
}

#nav-icon3 span:nth-child(2),#nav-icon3 span:nth-child(3) {
  top: 10px;
}

#nav-icon3 span:nth-child(4) {
  top: 20px;
}

#nav-icon3.open span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

#nav-icon3.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#nav-icon3.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#nav-icon3.open span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}
.textone{
  display: block !important;
  -webkit-animation: fadein 4s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 4s; /* Firefox < 16 */
   -ms-animation: fadein 4s; /* Internet Explorer */
    -o-animation: fadein 4s; /* Opera < 12.1 */
       animation: fadein 4s;
}
.yinkone{
  display: none !important;
  margin-left: auto;
  margin-right: auto;
  -webkit-animation: fadein 4s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 4s; /* Firefox < 16 */
   -ms-animation: fadein 4s; /* Internet Explorer */
    -o-animation: fadein 4s; /* Opera < 12.1 */
       animation: fadein 4s;
}
.yinktwo{
  display: block !important;
  float: right !important;
  -webkit-animation: fadein 4s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 4s; /* Firefox < 16 */
   -ms-animation: fadein 4s; /* Internet Explorer */
    -o-animation: fadein 4s; /* Opera < 12.1 */
       animation: fadein 4s;
}


@keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}


.texttwo{
  display: none !important;
}



@media (max-width: 991px) {
  .textone{
    display: none !important;
  }
  .texttwo{
    display: block !important;
    -webkit-animation: fadein 4s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 4s; /* Firefox < 16 */
   -ms-animation: fadein 4s; /* Internet Explorer */
    -o-animation: fadein 4s; /* Opera < 12.1 */
       animation: fadein 4s;
  }
  .yinkone{
    display: block !important;
    margin-left: auto !important;
    margin-right: auto !important;
  }
  .yinktwo{
    display: none !important;
    
  }
}


.bigtext{
  font-size: auto;
  margin-top: 20rem;
  font-weight: bold;
  font-family: "Poppins", sans-serif;
  /* text-align: center; */
  vertical-align: middle !important;
  color: #f0f0f0; 
}

@media (max-width: 991px) {
  .bigtext{
    font-size:1.9rem;
    margin-top: -1rem;
    font-weight: bold;
    font-family:  "Poppins", sans-serif;
    /* text-align: center; */
    vertical-align: middle !important;
    color: #f0f0f0; 
  }
}

.smalltext{
  color: #cccccc;
  width: 80%;
  font-family:  "Poppins", sans-serif;
  font-size: small;
  
}
@media (max-width: 991px) {
  .smalltext{
  width: 100% !important;
  font-family: "Poppins", sans-serif;
  font-size: small;
  }
}


.btn{
  width: 50%!important;
}
@media (max-width: 991px) {
  .btn{
  width: 100% !important;
  }
}


.firstlanding{
  background-image: url(./image/vector.svg);
  background-repeat:no-repeat;
  background-size:cover;
  padding-top:2rem !important;
}
@media (max-width: 500px){
  .firstlanding{
    background-image: url(./image/vector.svg);
    background-repeat:no-repeat;
    background-size:cover;
    padding-top:2.5rem !important;
  }
}

.secondlanding{
  background: linear-gradient(291.73deg, #0275d8 64.85%, #4c68c4 88.18%);
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: auto;
  margin-top: 0rem;
  padding-top:7.2rem;
  padding-bottom:7rem;
  padding-left:9rem;
  padding-right:9rem;
}
@media (max-width: 991px) {
  .secondlanding{
    padding-top:4.5rem;
    padding-bottom:4rem;
    margin-top: 3rem;
    padding-left:1rem;
    padding-right:1rem;
  }
}
.smalltextlandingtwo{
  color: #cccccc;
  font-family:  "Poppins", sans-serif;
  font-size: small;
  width: 90%;

}
@media (max-width: 991px) {
  .smalltextlandingtwo{
    color: #cccccc;
    font-family: "Poppins", sans-serif;
    font-size: small;
    width: 100%;
  }
}

.Abouttext{
  font-family:  "Poppins", sans-serif;
  color: #f0f0f0;
  font-size: x-large;
  font-weight: bold;
}
.aboutabouttext{
  margin-top: 6rem;
}
.thirdlanding{
  
  background-image: url(./image/vector2.svg),linear-gradient(291.73deg, rgb(20, 20, 20) 64.85%, rgb(20, 20, 20)88.18%) ;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: auto;
  margin-top: 0rem;
  padding-top:7.2rem;
  padding-bottom:4rem;
  padding-left:9rem;
  padding-right:9rem;
}
.Thirdbody-2{
  padding-left:1.5rem;
  padding-right:1.5rem;
}
@media (max-width: 991px) {
  .Thirdbody-2{
    padding-left:0rem;
    padding-right:0rem;
  }
  .thirdlanding{
    padding-left:1rem;
    padding-right:1rem;
  }
}

.smalltextlandingthree{
  color: #cccccc;
  font-family: "Poppins", sans-serif;
  font-size: small;
  width: 70%;

}
@media (max-width: 991px) {
  .smalltextlandingthree{
    color: #cccccc;
    font-family: "Poppins", sans-serif;
    font-size: small;
    width: 100%;
  }
}
.skillimage{
 float: right;
 transition: transform 1.8s ease-in-out;
}
.skillimage:hover{
  transform: rotate(360deg);
}
@media (max-width: 991px) {
  .skillimage{
    float: none;
   }
}

.bottomnav{
  background-image: url(./image/bottomnav.svg),linear-gradient(291.73deg, rgb(22, 21, 21) 64.85%, rgb(22, 21, 21)88.18%);
  background-repeat:no-repeat;
  background-size:cover;
  height: auto;
}
.copy{
  color: #fff;
  float: right;
  margin-top: 9rem;
  font-size: small;
}
@media (max-width: 430px) {
  .bottomnav{
    background-image: url(./image/bottomnav.svg),linear-gradient(291.73deg, rgb(22, 21, 21) 64.85%, rgb(22, 21, 21)88.18%);
    background-repeat:no-repeat;
    background-size:cover;
    height: auto;
  }
  .copy{
    color: #fff;
    float: right;
    margin-top: 6rem;
    font-size: small;
  }
}
.logonamebottom{
  margin-left:0rem;
  margin-top: 6rem;
}


.box{
  /* background-color: #0275d8 !important; */
  background-color: transparent !important;
  border-color: #0275d8;
  border: 1;
  color: #bbbbbb;;
  font-family:   "Nunito", Helvetica, Arial, sans-serif;
  margin-bottom: 2rem;
  transition: 0.7s;
  border-radius:0.5rem;
}
.box:hover{
  background-color: #0275d8 !important;
  color: #f0f0f0;

}
@media (max-width: 430px) {
  .box{
    /* background-color: #0275d8 !important; */
    background-color: transparent !important;
    border-color: #0275d8;
    border: 1;
    color: #bbbbbb;;
    font-family: "Poppins", sans-serif;
    margin-bottom: 2rem;
    transition: 0.7s;
    border-radius:0.5rem;
  }
}
.iconbody{
  height: 56px;
  width: 56px;
  border-radius: 60px;
  background-color: #0275d8;
 display: flex;
  align-items: center;
  text-align: center;
  /* display: inline; */
 
}
.listwork {
  list-style-type: none;
  margin: 0;
  padding: 0;
  font-size: small;
}
.linebox{
  background-color: #f0f0f0 !important;
  transition: 0.7s;
}

.skillset{
  margin-top: 9rem !important;
  margin-bottom:auto;
}
@media (max-width: 430px) {
  .skillset{
    margin-top: 0rem !important;
    margin-bottom:3rem;
  }
}


/* testing */

.fourthlanding{
  background-color:rgb(22, 21, 21);
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: auto;
  margin-top: 0rem;
  padding-top:7.2rem;
  padding-bottom:7rem;
  padding-left:8.8rem;
  padding-right:8.8rem;
}

@media (max-width: 991px) {
  .fourthlanding{
    background-color:rgb(22, 21, 21);
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: auto;
    margin-top: 0rem;
    padding-top:7.2rem;
    padding-bottom:7rem;
    padding-left:1rem;
    padding-right:1rem;
  }
}

.projecttopic{
  font-size: small;
  font-family: "Poppins", sans-serif;
  width:50%;
  color: #cccccc;

}
@media (max-width: 500px) {
  .projecttopic{
    font-size: small;
    font-family: "Poppins", sans-serif;
    width:100%;
    color: #cccccc;
  
  }
}

.Abouttextproject{
  font-family:  "Poppins", sans-serif;
  color: #DC09E6;
  font-size: x-large;
  font-weight: bold;
}
.Abouttextproject2{
  font-family: "Poppins", sans-serif;
  color: #E9702D;
  font-size: x-large;
  font-weight: bold;
}
.Abouttextproject3{
  font-family:  "Poppins", sans-serif;
  color: #FFCDD3;
  font-size: x-large;
  font-weight: bold;
}
.Abouttextproject4{
  font-family: "Poppins", sans-serif;
  color: #AFD200;
  font-size: x-large;
  font-weight: bold;
}

.Aboutimagex1{
  font-family:  "Poppins", sans-serif;
  color: #f0f0f0;
  font-size: x-large;
  font-weight: bold;
  display: block;
}
.aboutabouttextx1{
  margin-top: 6rem;
  display: none;
}

.Aboutimagex2{
  font-family:  "Poppins", sans-serif;
  color: #f0f0f0;
  font-size: x-large;
  font-weight: bold;
  display: none;
}
.aboutabouttextx2{
  margin-top: 6rem;
  display: block;
}


@media (max-width: 500px) {
  .Aboutimagex1{
    font-family:  "Poppins", sans-serif;
    color: #f0f0f0;
    font-size: x-large;
    font-weight: bold;
    display: none;
  }
  .aboutabouttextx1{
    margin-top: 6rem;
    display: block;
  }
  
  .Aboutimagex2{
    font-family:  "Poppins", sans-serif;
    color: #f0f0f0;
    font-size: x-large;
    font-weight: bold;
    display: block;
  }
  .aboutabouttextx2{
    margin-top: 6rem;
    display: none;
  }
  
}
.checkout{
  width:25%;
  font-size: smaller;
}